Subject: [Sip] Event Package for Registrations (RFC-3680)

From: "Thomas Ackermann" <[email-masked]>
Date: Wed, 4 May 2005 14:58:19 +0200

Hi together,

I looked for a way to notify a SIP client
about its unregistration before the expire time elapsed.
Now I found "Event Package for Registrations" (RFC-3680).

OK, fine, this is what I needed.
But what the hell is XML doing there?
SIP is a simple text based protocol (inherited from HTTP).
The SDP for session negotiation as well.
Everything was perfectly straight in the early days.
And now with every little extension there comes another way
of content encoding.

Why do you have to have an XML engine everywhere you stand?
Especially for things that really do NOT need XML
due to very non-complexity?

Why not simply defining it this way:

#NOTIFY ...
#Event: reg
#Content-Type: application/reginfo
#Content-Length: xxx
#
#state=registered|unregistered|etc.

just like outband DTMF transmission:

#INFO ...
#Content-Type: application/dtmf-relay
#Content-Length: xxx
#
#Signal=1
#Duration=160

or like session negotiation:

#INVITE ...
#Content-Type: application/sdp
#Content-Length: xxx
#
#v=0
#...

Best regards,
Thomas

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip